USB_FIND_DEVICE(9)

NAME
usb_find_device - find a specific usb device in the system

SYNOPSIS

struct usb_device * usb_find_device (u16 vendor_id, u16 product_id);

ARGUMENTS

vendor_id
    the vendor id of the device to find

product_id
    the product id of the device to find

DESCRIPTION

Returns a pointer to a struct usb_device if such a specified usb device is present in the system currently. The usage count of the device will be incremented if a device is found. Make sure to call usb_put_dev when the caller is finished with the device.

If a device with the specified vendor and product id is not found, NULL is returned.